List Project Audit Events
List immutable audit events recorded for a project.
Results are ordered by occurred_at descending, then id descending. The cursor
parameter is an opaque pagination token and must be treated as an unreadable value by
clients.
Use the filters to narrow the feed by event type, actor, or resource identifiers.
Authentication
AuthorizationBearer
Bearer token authentication using JWT tokens from Ory Kratos/Hydra
Path parameters
org_id
The organization ID
project_id
The project ID
Query parameters
cursor
A cursor for pagination. Use the next_cursor value from the previous response to get the next page of results.
page_limit
The maximum number of items to return per page. Defaults to 100 if not specified.
event_type
Filter by one or more audit event types.
actor_user_id
Filter by the acting user.
resource_type
Filter by resource type.
resource_id
Filter by resource identifier.
start_date
Only include events occurring at or after this UTC timestamp.
end_date
Only include events occurring at or before this UTC timestamp.
Response
Project audit events retrieved successfully
results
The list of items returned for the current page.
pagination
Contains pagination information for the result set.
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error
